export declare class SortedMap<T> {
    private readonly map;
    private readonly sortedKeys;
    private maxOrder;
    constructor(map?: Map<string, T>, sortedKeys?: Map<string, number>);
    set(key: string, value: T, order?: number | undefined): void;
    get(key: string): T | undefined;
    sort(): Map<string, T>;
    clear(): void;
    [Symbol.dispose](): void;
}
